
.modal-header {
  justify-content: space-between;
  padding: 1rem 1rem;
  border-bottom: 1px solid #c4c4c6;
  border-top-left-radius: calc(.4rem - 1px);
  border-top-right-radius: calc(.4rem - 1px);
}  

.modal-title {
  margin-bottom: 0;
  line-height: 1.5;
}

.modal-footer {
    display: flex;
    flex-wrap: wrap;
    flex-shrink: 0;
    -webkit-box-align: center;
    align-items: center;
    -webkit-box-pack: end;
    justify-content: flex-end;
    padding: .75rem;
    border-top: 1px solid #c4c4c6;
    border-bottom-right-radius: calc(.4rem - 1px);
    border-bottom-left-radius: calc(.4rem - 1px);
}  

/* tambah baru tgl 03/11/2025 */

.dt-button.button-page-length {   
    background: #4f898f;
}

.dt-button.buttons-columnVisibility {
	  background: #4f898f;
}

a.dropdown-item {
	border-color: red;
	/*background-color:yellow; */
	color:blue; 
	/*border: 1px solid #ccc; */

}
   
.dropdown-item.active {
  background-color: yellow;
  color: black;
}


/* GANTI WARNA SOROTAN (SELECTION) UNTUK SEMUA DATATABLES */

/* 1. Warna baris saat kursor di atasnya (Hover) */
table.dataTable tbody tr:hover {
    /* background-color: #f1f1f1 !important; /* Abu-abu yang lebih tegas */
	/*background-color: #dc3545 !important; /* Merah */
    /*color: #ffc107 !important;           /* Kuning */
    background-color: #FF0000 !important; /* Warna Merah (Bootstrap Danger) */ 
    color: #FFFF00 !important;           /* Warna Kuning (Bootstrap Warning) */
    cursor: pointer;
}

/* 2. Warna baris saat diklik/dipilih (Selected) */
/* Biasanya defaultnya biru muda banget, kita pertajam warnanya */
table.dataTable tbody tr.selected,
table.dataTable tbody td.selected {
    background-color: #0d6efd !important; /* Biru Bootstrap yang kuat */
    color: white !important; /* Tulisan jadi putih supaya jelas */
}

/* 3. Warna baris "Zebra" agar lebih terlihat bedanya */
table.dataTable.stripe tbody tr.odd, 
table.dataTable.display tbody tr.odd {
    background-color: #f9f9f9;
}


